1.0
1.0
get /v1/bm_products
Description
Bare Metal Server Scale type 조회 기능
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | image_id optional | 이미지 ID Example : IMAGE-7XFMaJpLsapKvskFMjCtmm | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ProductListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/bm_products
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = baremetal 1.0"
Example HTTP response
Response 200
{
"products": [
{
"attri_name": "attri name",
"attri_value": "attri value",
"compute_class_type_name": "StandardMetal-2",
"compute_class_type_unit": "compute_class_type_unit",
"compute_class_type_value": "s2_metal",
"cpu_generation": "cpu generation",
"cpu_name": "cpu 16 vCore",
"cpu_unit": "vCPU",
"cpu_value": "64",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "vCPU 16 │ Memory 128G │ Disk 480G",
"disk_name": "disk_name",
"disk_unit": "GB",
"disk_value": "480",
"id": "PRODUCT-0iT9dNiLr4lVoYmjlY2Vgg",
"infiniband_name": "infiniband_name",
"infiniband_unit": "infiniband_unit",
"infiniband_value": "infiniband_value",
"memory_name": "server memory 128GB",
"memory_unit": "GB",
"memory_value": "128",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "s2v16m128_metal",
"name_with_generation": "s2v16m128_metal",
"socket_name": "socket_name",
"socket_unit": "socket_unit",
"socket_value": "socket_value",
"state": "AVAILABLE",
"type": "SCALE"
}
]
}